Bug Hunting Session
Bug 50282 - The template manager should allow to copy several styles at once
Summary: The template manager should allow to copy several styles at once
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.5.3 release
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 60589
Blocks: Template-Manager
  Show dependency treegraph
 
Reported: 2012-05-23 07:45 UTC by oc-spam65
Modified: 2016-09-08 23:58 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description oc-spam65 2012-05-23 07:45:08 UTC
Hello,

it is possible to copy a style from one document to another document by using the Template Manager (Files > Templates > Organize) with CTRL + drag. 

However it is only possible to copy one style at a time. It's not possible to select several styles and copy them in one operation. This is a big limitation when a document uses many styles.

Proposition: make it possible to select several styles and copy them at once.
Comment 1 Roman Eisele 2012-05-24 00:50:30 UTC
This is an enhancement request, therefore changed the Importance field accordingly and changed the Summary a bit, to make clear that this is a request.
Comment 2 Mirosław Zalewski 2013-10-20 12:03:58 UTC
I think that this is a valid enhancement request.

Unfortunately, functionality mentioned in original report was removed in new template manager introduced in 4.0. So, currently, we do not have a way to copy styles between documents, let alone copy multiple styles at once.

Therefore, I am marking this as NEW with Depends on field set accordingly.
Comment 3 Yousuf Philips (jay) (retired) 2016-09-06 14:57:54 UTC
Doubt this is a feature that should be in the template manager and instead should be in the styles and formatting sidebar, as we have the load styles command already there, atleast in writer. So i'd suggest extending the load styles dialog to all modules and make it possible to copy not just all styles of a category, but user selected styles as well. @Heiko: Sounds like a good topic for a design session mockup jam.
Comment 4 Heiko Tietze 2016-09-07 09:35:34 UTC Comment hidden (no-value)
Comment 5 Yousuf Philips (jay) (retired) 2016-09-08 23:58:51 UTC
Closing this as WONTFIX, as bug 102002 has been filed to take this concept forward.